complexType "StepBase"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | stepDate?
</...>

Content Model Elements (1):

  stepDate

Known Direct Subtypes (3):

  NonNegativeStep, PositiveStep, Step

All Direct / Indirect Based Elements (4):

  step (defined in PositiveSchedule complexType), step (defined in Schedule complexType), | step (in calculationAmount in fixedAmountCalculation), step (in notionalStepSchedule)

Known Usage Locations

- In derivations of other global types (3):

  NonNegativeStep (as extension base), PositiveStep (as extension base), | Step (as extension base)

Annotation
A type defining a step date and step value pair. This step definitions are used to define varying rate or amount schedules, e.g. a notional amortization or a step-up coupon schedule.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType abstract="true" name="StepBase"> <xsd:sequence> <xsd:element minOccurs="0" name="stepDate" type="xsd:date"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/1)
stepDate

  Type: | xsd:date, predefined, simple content

  The date on which the associated stepValue becomes effective. This day may be subject to adjustment in accordance with a business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="stepDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.